Forum

Page 1 of 2 12 LastLast
Results 1 to 15 of 24
  1. #1
    Join Date
    January 2017
    Posts
    4

    Plugins do not work after client update 3.1

    Greetings.

    I updated my Teamspeak to the new version and created a Myteamspeak account.

    My ts3_Overlay addon that I use for gaming will no longer work, I am getting this error:

    Plugin Failed to load: API version is not compatible:20 (Current:21)

    I tried to SYNC, but nothing.

    any ideas?
    Should I just try OverWolf?

    Thanks In advance.
    Last edited by dante696; January 11th, 2017 at 03:47 PM. Reason: moved to right forum section

  2. #2
    Join Date
    June 2008
    Posts
    18,406
    Your plugin needs to get updated from the plugin author or you need to get the latest version with client 3.1 support.
    Please visit authors webpage or forum thread or contact him for an update to get this solved.


    **This has nothing to do with myTeamSpeak or sync.**
    Last edited by dante696; January 12th, 2017 at 04:15 PM.
    When sending me private messages: Please make sure to include reference link to your forum thread or post.

    TeamSpeak FAQ || What should i report, when i open a client thread?

  3. #3
    Join Date
    January 2017
    Posts
    4

    ok

    Thank you for your fast reply.

    The SYNC option is just for the cloud i guess?

    I guess I will have to wait for the API creator to update it. I got the API from the Plug in Section on Teamspeak. I am surprised it wasn't automatically fixed.

    Will the API up date automatically when it is created?

  4. #4
    Join Date
    June 2008
    Posts
    18,406
    Sync is indeed just for synchronizing items like bookmarks, identities, plugins (via Options -> Addons), etc.

    You have to wait for the plugin author/creator not the API creator.
    The plugin autor/creator must update his own plugin for API 21.
    When sending me private messages: Please make sure to include reference link to your forum thread or post.

    TeamSpeak FAQ || What should i report, when i open a client thread?

  5. #5
    Join Date
    January 2017
    Posts
    4

    Ts3_overlay Question

    Greetings.

    Since I posted this in the wrong section it has been moved to this section.

    Does anyone know when the Ts3_Overlay add on will be updated to run on 3.1?
    If it is updated will it automatically update and run?

    I got this overlay from the Teamspeak site.

    Thanks in Advance

  6. #6
    Join Date
    September 2012
    Posts
    6,080
    only addons installed through Tools -> Options -> Addons -> Browse Online will be automatically updated when the author makes a new version available.
    Plugins and other addons that were installed through other means will not be updated automatically.
    When sending PMs please make sure to include a reference link to the thread in question in the body of your message.

  7. #7
    Join Date
    January 2017
    Posts
    1

    Task Force Radio

    Hello my name is Reexel,

    I play ARMA3 and I need the task Force Radio but today I update the 21 (mise a jour) for TeamSpeak and I want to know how we could reverse that because the Task Force Radio don't work with the update 21, he work with the 20.
    Thank you

    PS : My English is not very good sorry I am French.
    Last edited by dante696; January 12th, 2017 at 04:13 PM. Reason: mergd see post 1

  8. #8
    Join Date
    January 2017
    Posts
    1

    Api

    Hey, I use a plugin called Clownfish, After a resent update on teamspeak 3 Clownfish has not been working. When i go to the Plugins area, there is a red marker highlighted over Clownfish, and on the Clownfish tab it says api version 21 needed 20 or something, how do i get ts to 21 or clownfish to 20?

    Thanks for reading
    Last edited by dante696; January 13th, 2017 at 04:13 PM. Reason: merged

  9. #9
    Join Date
    July 2016
    Posts
    1

    Soundboard plugin doesn't work

    Hello,
    The "TS3 Soundboard-Plugin" plugin doesn't work on the last version of TeamSpeak 3 Client with 64 bits : 3.1.0.1
    I use it often and I would like this bug to be fixed.

    Thank you.

  10. #10
    Join Date
    September 2012
    Posts
    6,080
    Not a bug, the plugin just needs to be updated. Contact the author of the individual plugin for an update.
    When sending PMs please make sure to include a reference link to the thread in question in the body of your message.

  11. #11
    Join Date
    January 2017
    Posts
    4

    Add on Authors

    I got my ts3_Overlay plug in from the Teamspeak 3 web site. years ago. I don't know the author.

    I guess I will just wait for the update or for a new one to be created.

  12. #12
    Join Date
    January 2017
    Posts
    1

    Task Force Radio and other plugins

    Sense update 3.1, the settings tab was removed so in Tools>Options>Addons>Plugins when I try to enable taskforce radio or my soundboard it says in red text "Plugin failed to load: Api version is not compatible: 20 (current: 21)" I haven't had this problem and I have taskforce radio properly installed. Taskforce radio is a plugin used for the game arma 2 and arma 3 that is used so its makes the military game more real. Every player is in one channel and you can only here then with in a certain range of you in game, and has the physics or "Yell" "Normal" and "Whisper" its basically like real life. Normally is used in tactical military groups in the game or roleplay life servers in the game. But it is like any normal plugin on ts like a soundboard. I've never had this issue before with any update in the past. If there is no fix could I maybe get a link or guide on how to get the older version of teamspeak 3 where the settings tab is there, thank you and ill leave a screenshot of the error message below.

    Screenshot - https://gyazo.com/099bd037560239664e617ee20799c64a
    Last edited by dante696; January 16th, 2017 at 09:09 AM. Reason: merged

  13. #13
    Join Date
    October 2003
    Location
    Germany
    Posts
    2,528
    Addon devs need to update their plugins to be compatible to version 3.1 of the TeamSpeak Client. The Task Force Radio guys already did that... This version seems to work:

    TFAR_plguins_0.9.12_3.1compat.zip

  14. #14
    Join Date
    January 2017
    Posts
    2

    Logitech G 13 stopped working with new update and soundboard

    Installed new update 3.1.0.1 the Logitech G 13 plug-in disappeared there is the G15 plug-in but not compatible. The other annoyances last month I finally got soundboard to work and with the new update it is not compatible. Been arguing with a clan leader for two months to keep team speak and not move over to Discord and This does not give me a foot to stand on now that's just under 75 users are moving over to Discord
    Last edited by dante696; January 16th, 2017 at 09:09 AM. Reason: merged

  15. #15
    Join Date
    January 2010
    Location
    EL Centro, Ca
    Posts
    10

    Logitech G15 keyboard

    Im having issues with the plugins not working since the last update.
    Attached Images Attached Images  
    Last edited by dante696; February 3rd, 2017 at 12:14 PM. Reason: merged

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Similar Threads

  1. Replies: 4
    Last Post: June 7th, 2016, 12:21 PM
  2. Pasting into TS no longer works on Latest 3.0.14 [Beta]
    By stealth5706 in forum Bug Reports [EN/DE]
    Replies: 1
    Last Post: March 13th, 2014, 08:59 AM
  3. Plugins dont work after update
    By wyd3x in forum Client Support
    Replies: 1
    Last Post: June 22nd, 2012, 10:30 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •